[colors]
background = #21201E
foreground = #EAD17F
primary = #F0C674
secondary = #8ABEB7
yellow = #d79921
blue = #458588
purple = #b16286
eggplant = #3E2441
red = #E01D4D
white = #ebdbb2
aqua = #689d6a
alert = #A54242
disabled = #76573A
; character clothing colors
color-1 = #C5A55C
color-2 = #B43F1C
color-3 = #D0C0AD
color-4 = #88748F
; deep crystal colors
crystal-1 = #BA3320
crystal-2 = #CDB648
crystal-3 = #568125
crystal-4 = #4048A4
; light crystal colors
; crystal-1 = #D57F5E
; crystal-2 = #E7D570
; crystal-3 = #B4D175
; crystal-4 = #A3B3CA

[fonts]

font-0 = Font Awesome 5 Free:style=solid:size=13;3
font-1 = FiraCode Nerd Font Mono:style=bold:size=13;3
font-2 = JetBrainsMono Nerd Font Mono:style=bold:size=11;3
font-3 = JetBrainsMono Nerd Font Mono:style=bold:size=10;3

[bar/primary]
monitor = DP-0

width = 100%
height = 32
padding-right = 2
enable-ipc = true
fixed-center = true
wm-restack = bspwm
override-redirect = false

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 3

font-0 = ${fonts.font-0}
font-1 = ${fonts.font-1}
font-2 = ${fonts.font-2}
font-3 = ${fonts.font-3}

modules-left = bspwm xwindow
modules-center = mpd
modules-right = pulseaudio cpu memory eth sep date

[bar/secondary]
monitor = DP-4

width = 100%
height = 30
fixed-center = true
wm-restack = bspwm
tray-position = right
override-redirect = false

background = ${colors.background}
foreground = ${colors.foreground}

font-0 = ${fonts.font-0}
font-1 = ${fonts.font-1}
font-2 = ${fonts.font-2}
font-3 = ${fonts.font-3}

modules-left = bspwm
# modules-center = date
modules-right = date sep

[module/bspwm]
type = internal/bspwm
pin-workspaces = true
enable-click = true

ws-icon-0 = term;
ws-icon-1 = browser;
ws-icon-2 = game;
ws-icon-3 = code;
ws-icon-4 = mail;
ws-icon-5 = browser2;
ws-icon-6 = comm;
ws-icon-7 = music;
ws-icon-8 = server;
ws-icon-9 = misc;
ws-icon-10 = tmp;

format = <label-state>
format-font = 1

label-focused = %icon%
label-focused-background = ${colors.eggplant}
label-focused-padding = 2

label-occupied = %icon%
label-occupied-padding = 2

label-urgent = %icon%
label-urgent-padding = 2
label-urgent-background = ${colors.alert}

label-empty = %icon%
label-empty-padding = 2
label-empty-foreground = ${colors.disabled}

label-separator = |
label-separator-foreground = ${colors.disabled}

[module/sep]
type = custom/text
content = |

content-foreground = ${colors.disabled}
content-padding = 1

[module/xwindow]
type = internal/xwindow

format = <label>
format-padding = 2
format-font = 4

label = %title%
label-maxlen = 50

[module/pulseaudio]
type = internal/pulseaudio
use-ui-max = false

format-volume = <ramp-volume> <label-volume>
format-volume-foreground = ${colors.foreground}
format-volume-underline = ${colors.crystal-1}
format-volume-padding = 1
ramp-volume-0 = " "
ramp-volume-1 = " "
ramp-volume-2 = " "
ramp-volume-font = 1
ramp-volume-foreground = ${colors.foreground}
label-volume = %percentage%%
label-volume-font = 3

format-muted-padding = 1
label-muted = ""
label-muted-foreground = ${colors.disabled}

click-middle = pavucontrol

[module/cpu]
type = internal/cpu
interval = 2

format-padding = 1
format-prefix = " "
format-prefix-font = 1
format-prefix-foreground = ${colors.foreground}
format-prefix-underline = ${colors.crystal-2}
label = %percentage:2%%
label-underline = ${colors.crystal-2}
label-font = 3

[module/memory]
type = internal/memory
interval = 2

format-padding = 1
format-prefix = " "
format-prefix-font = 1
format-prefix-foreground = ${colors.underline}
format-prefix-underline = ${colors.crystal-3}
label = %percentage_used:2%%
label-underline = ${colors.crystal-3}
label-font = 3

[network-base]
type = internal/network
interval = 5

format-connected = <label-connected>
format-connected-padding = 1
format-connected-prefix-padding-right = 1
format-connected-prefix-font = 1
format-connected-prefix-foreground = ${colors.foreground}
format-connected-prefix-underline = ${colors.crystal-4}
label-connected-font = 3
label-connected-underline = ${colors.crystal-4}

format-disconnected = <label-disconnected>
format-disconnected-foreground = ${colors.disabled}
format-disconnected-padding = 2
label-disconnected = %{F#F0C674}%ifname%%{F#707880} disconnected
label-disconnected-font = 3

[module/wlan]
inherit = network-base
interface-type = wireless
label-connected = %{F#F0C674}%ifname%%{F-} %essid% %local_ip%

[module/eth]
inherit = network-base
interface-type = wired

format-connected-prefix = " "
label-connected = "%local_ip%"

[module/date]
type = internal/date
interval = 1

date-alt = %H:%M
# date = %Y-%m-%d %H:%M:%S
date = %a %e %b %H:%M:%S

label = %date%
label-foreground = ${colors.primary}
label-font = 3

format =   <label>
format-underline = ${colors.foreground}
format-padding = 1

[settings]
screenchange-reload = true
pseudo-transparency = true

; vim:ft=dosini
